import request from '@/utils/request'

const classApi = {
    get: '/project/species/get',
    add: '/project/species/add',
    del: '/project/species/del',
    list: '/project/species/pageList'
}

export function classAdd(params) {
    return request({
        url: classApi.add,
        method: 'post',
        data: params
    })
}
export function classGet(params) {
    return request({
        url: classApi.getDict,
        method: 'get',
        params: params
    })
}
export function classDel (params) {
  return request({
    url: classApi.del,
    method: 'delete',
    params: params
  })
}
export function classList(params) {
    console.log("------------{}", params)
    return request({
        url: classApi.list,
        method: 'get',
        params: params
    })
}
